$titlebar_height:46px;
$titlebar_padding: 6px;
$titlebar_corner_radius: 8px;
$title_font_family:"cantarell_bold", sans-serif;
$subtitle_font_family:"cantarell", sans-serif;

//pane
$pane_width:270px;


// Title
%titlebar_text {
	// text style
	text-align:center;
	font-family:$title_font_family;
	font-size:$font-size;
	line-height: $titlebar_height;
}

// titlebar
.titlebar {
	background-color:$bg_color;
	border-bottom-width: 1px;
	border-radius: $titlebar_corner_radius $titlebar_corner_radius 0 0;
	border: 0 solid $borders_color;
	display:block;
	height: $titlebar_height;
	min-height: $titlebar_height;
	padding: 0;
	width: 100%;
	border-bottom-width: 1px;
	// overflow: hidden;

	@include headerbar_fill(darken($bg_color, 10%));


	// Title
	.title {
		@extend %titlebar_text;
		// positioning
		display:inline-block;
		left: 0;
		margin-top: $titlebar_height * -1; // hardcode in position
		overflow:hidden;
		padding: 0;
		pointer-events: none;
		position: relative;
		vertical-align: top;
		width:100%;
	}

	// alternate title
	&:after {
		@extend %titlebar_text;
		color:$fg_color;
		content: attr(title) !important;
		width: auto;
		position:relative;
		top: 0;
		pointer-events: none;
		display: block;
	}

	// when there is a subtitle too
	.title-group {
		pointer-events: none;
		display: inline-block;
		position: relative;
		vertical-align: top;
		text-align: center;
		width: 100%;
		z-index: 2;

		.title {
			width: 100%;
			top: 0; // hardcode in position
		}
		
		.subtitle {
			width: 100%;
			margin-top: $titlebar_height * -1 + 16px; // tophardcode in position
		}
	}

	// Subtitle
	.subtitle {
		// style
		@extend %dim_label;
		@extend %titlebar_text;
		display: block;
		font-family:$subtitle_font_family;
		font-size: smaller;
	}

	// separator
	.separator {
		width: 1px;
		height: $titlebar_height - 12px;
		background-color: lighten($borders_color, 10%);
		display: inline-block;
		padding: 0;
		position: relative;
		margin: 6px;
	}

	// spacer
	.spacer {
		margin:0;
		padding:0;
		height: $titlebar_height;
		max-height: $titlebar_height;
		display: inline-block;
		width: 8px;
		&.small {
			width: 6px;
		}
	}

	// Buttons
	input,
	.button {
		margin:6px 0;
		vertical-align: top;
		display: block;
		&.close {
			padding: 2px;
			margin: 8px !important;
			margin-left:12px !important;
			margin-right:0 !important;
		}

		&.float-left {
			margin-left: 6px;
		}
		&.float-right {
			margin-right: 6px;
		}
	}

	// switches
	.switch{
		vertical-align: top;
		margin:6px 4px;
	}

	// title group (when there is a subtitle)
	.title-group {
		width: calc(55%);
		margin: 0 auto;
		.title {
			margin-top:0 !important;
		}
		&.with-subtitle {
			top: -6px  !important; // hardcode in position
		}
	}

	// button groups
	.button-group {
		vertical-align: top;

		span, input, div, a {
			display: inline-block;
		}

		&.float-center {
			display: inline-block;
			width: calc(40%);
			text-align: center;
			&.wide {
				width: calc(60%);
			}
		}

		&.float-left {
			padding-left: $titlebar_padding;
			width: calc(20% - #{$titlebar_padding});
			> .button:not(.flat):not(.left):not(.right):not(.middle) { margin-right:6px;}
			> .linked {
				margin-right:6px;
			}
		}

		&.float-right {
			padding-right: $titlebar_padding;
			width: auto;
			> .button:not(.flat):not(.left):not(.right):not(.middle) { margin-left:6px;}
			> .linked { 
				margin-left:6px;
			}
		}
	}

	// Paned (very much a pane in the butt)
	&.paned {
		// alternate title
		&:after {
			@extend %titlebar_text;
			color:$fg_color;
			content: attr(title);
			position:relative;
			top: 0;
			pointer-events: none;
			display: block;
			width: $pane_width;
		}

		>.button-group.float-center {
			width: calc(100% - #{$pane_width} - 10%);
			margin-left: $pane_width;
		}

		>.title-group {
			width: calc(100% - #{$pane_width} - 15%);
			.title,
			.subtitle {
				margin-left: 7%;
			}
		}

		>.pane {
			max-height: $titlebar_height;
			border-right: 1px solid $borders_color;
			width: calc(#{$pane_width} - 6px)!important;

			.title {
				position: relative;
				display: inline-block;
				width:$pane_width - 6px;
				left: $titlebar_padding * -1;
			}
		}
	}
}

// groups
.title-group,
.button-group {
	display: block;
	height: $titlebar_height;
}

// mobile adaptations
@media only screen and (max-width:640px) {
	.window > .titlebar {
		border-radius: 0;
	}

	.titlebar {

		&.action-bar,
		&.bottom {
			display: block;
			.button-group.float-left { width: calc(40%) !important; }
		}

		// Paned
		&.paned {
			>.title-group {
				width: calc(55%);
				margin-left: 0;
				.title,
				.subtitle {
					width: 100%;
					margin-left: 0;
				}
			}

			.button-group.float-left { width: calc(20%) !important;}
			// .button-group.float-right { width: calc(30%) !important; }

			>.pane {
				border:none !important;
				>.title {display: none !important;}
				&.float-left {
					// padding-left: 0;
					// margin-left: 0 !important;
				}
			}

			.button-group.float-center {
				display: inline-block;
				width: calc(60%);
				margin: 0;
			}
		}

		// alternate title
		&:after {
			text-align: center;
			top:0;
			z-index: 1;
		}
	}
	.close {display: none !important;}
}